Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network111.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
111.0.0.0
Broadcast address
111.127.255.255
First usable
111.0.0.1
Last usable
111.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 6F000000 · Integer 1862270976 to 1870659583
Reverse DNS zones
0.111.in-addr.arpa
1.111.in-addr.arpa
2.111.in-addr.arpa
3.111.in-addr.arpa
4.111.in-addr.arpa
5.111.in-addr.arpa
6.111.in-addr.arpa
7.111.in-addr.arpa
8.111.in-addr.arpa
9.111.in-addr.arpa
10.111.in-addr.arpa
11.111.in-addr.arpa
12.111.in-addr.arpa
13.111.in-addr.arpa
14.111.in-addr.arpa
15.111.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101111.00000000.00000000.00000000111.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01101111.00000000.00000000.00000000111.0.0.0
Broadcast01101111.01111111.11111111.11111111111.127.255.255
Split into smaller subnets/19

111.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1111.0.0.0/19111.0.0.1 to 111.0.31.254111.0.31.2558,190
2111.0.32.0/19111.0.32.1 to 111.0.63.254111.0.63.2558,190
3111.0.64.0/19111.0.64.1 to 111.0.95.254111.0.95.2558,190
4111.0.96.0/19111.0.96.1 to 111.0.127.254111.0.127.2558,190
5111.0.128.0/19111.0.128.1 to 111.0.159.254111.0.159.2558,190
6111.0.160.0/19111.0.160.1 to 111.0.191.254111.0.191.2558,190
7111.0.192.0/19111.0.192.1 to 111.0.223.254111.0.223.2558,190
8111.0.224.0/19111.0.224.1 to 111.0.255.254111.0.255.2558,190
9111.1.0.0/19111.1.0.1 to 111.1.31.254111.1.31.2558,190
10111.1.32.0/19111.1.32.1 to 111.1.63.254111.1.63.2558,190
11111.1.64.0/19111.1.64.1 to 111.1.95.254111.1.95.2558,190
12111.1.96.0/19111.1.96.1 to 111.1.127.254111.1.127.2558,190
13111.1.128.0/19111.1.128.1 to 111.1.159.254111.1.159.2558,190
14111.1.160.0/19111.1.160.1 to 111.1.191.254111.1.191.2558,190
15111.1.192.0/19111.1.192.1 to 111.1.223.254111.1.223.2558,190
16111.1.224.0/19111.1.224.1 to 111.1.255.254111.1.255.2558,190
17111.2.0.0/19111.2.0.1 to 111.2.31.254111.2.31.2558,190
18111.2.32.0/19111.2.32.1 to 111.2.63.254111.2.63.2558,190
19111.2.64.0/19111.2.64.1 to 111.2.95.254111.2.95.2558,190
20111.2.96.0/19111.2.96.1 to 111.2.127.254111.2.127.2558,190
21111.2.128.0/19111.2.128.1 to 111.2.159.254111.2.159.2558,190
22111.2.160.0/19111.2.160.1 to 111.2.191.254111.2.191.2558,190
23111.2.192.0/19111.2.192.1 to 111.2.223.254111.2.223.2558,190
24111.2.224.0/19111.2.224.1 to 111.2.255.254111.2.255.2558,190
25111.3.0.0/19111.3.0.1 to 111.3.31.254111.3.31.2558,190
26111.3.32.0/19111.3.32.1 to 111.3.63.254111.3.63.2558,190
27111.3.64.0/19111.3.64.1 to 111.3.95.254111.3.95.2558,190
28111.3.96.0/19111.3.96.1 to 111.3.127.254111.3.127.2558,190
29111.3.128.0/19111.3.128.1 to 111.3.159.254111.3.159.2558,190
30111.3.160.0/19111.3.160.1 to 111.3.191.254111.3.191.2558,190
31111.3.192.0/19111.3.192.1 to 111.3.223.254111.3.223.2558,190
32111.3.224.0/19111.3.224.1 to 111.3.255.254111.3.255.2558,190
33111.4.0.0/19111.4.0.1 to 111.4.31.254111.4.31.2558,190
34111.4.32.0/19111.4.32.1 to 111.4.63.254111.4.63.2558,190
35111.4.64.0/19111.4.64.1 to 111.4.95.254111.4.95.2558,190
36111.4.96.0/19111.4.96.1 to 111.4.127.254111.4.127.2558,190
37111.4.128.0/19111.4.128.1 to 111.4.159.254111.4.159.2558,190
38111.4.160.0/19111.4.160.1 to 111.4.191.254111.4.191.2558,190
39111.4.192.0/19111.4.192.1 to 111.4.223.254111.4.223.2558,190
40111.4.224.0/19111.4.224.1 to 111.4.255.254111.4.255.2558,190
41111.5.0.0/19111.5.0.1 to 111.5.31.254111.5.31.2558,190
42111.5.32.0/19111.5.32.1 to 111.5.63.254111.5.63.2558,190
43111.5.64.0/19111.5.64.1 to 111.5.95.254111.5.95.2558,190
44111.5.96.0/19111.5.96.1 to 111.5.127.254111.5.127.2558,190
45111.5.128.0/19111.5.128.1 to 111.5.159.254111.5.159.2558,190
46111.5.160.0/19111.5.160.1 to 111.5.191.254111.5.191.2558,190
47111.5.192.0/19111.5.192.1 to 111.5.223.254111.5.223.2558,190
48111.5.224.0/19111.5.224.1 to 111.5.255.254111.5.255.2558,190
49111.6.0.0/19111.6.0.1 to 111.6.31.254111.6.31.2558,190
50111.6.32.0/19111.6.32.1 to 111.6.63.254111.6.63.2558,190
51111.6.64.0/19111.6.64.1 to 111.6.95.254111.6.95.2558,190
52111.6.96.0/19111.6.96.1 to 111.6.127.254111.6.127.2558,190
53111.6.128.0/19111.6.128.1 to 111.6.159.254111.6.159.2558,190
54111.6.160.0/19111.6.160.1 to 111.6.191.254111.6.191.2558,190
55111.6.192.0/19111.6.192.1 to 111.6.223.254111.6.223.2558,190
56111.6.224.0/19111.6.224.1 to 111.6.255.254111.6.255.2558,190
57111.7.0.0/19111.7.0.1 to 111.7.31.254111.7.31.2558,190
58111.7.32.0/19111.7.32.1 to 111.7.63.254111.7.63.2558,190
59111.7.64.0/19111.7.64.1 to 111.7.95.254111.7.95.2558,190
60111.7.96.0/19111.7.96.1 to 111.7.127.254111.7.127.2558,190
61111.7.128.0/19111.7.128.1 to 111.7.159.254111.7.159.2558,190
62111.7.160.0/19111.7.160.1 to 111.7.191.254111.7.191.2558,190
63111.7.192.0/19111.7.192.1 to 111.7.223.254111.7.223.2558,190
64111.7.224.0/19111.7.224.1 to 111.7.255.254111.7.255.2558,190
65111.8.0.0/19111.8.0.1 to 111.8.31.254111.8.31.2558,190
66111.8.32.0/19111.8.32.1 to 111.8.63.254111.8.63.2558,190
67111.8.64.0/19111.8.64.1 to 111.8.95.254111.8.95.2558,190
68111.8.96.0/19111.8.96.1 to 111.8.127.254111.8.127.2558,190
69111.8.128.0/19111.8.128.1 to 111.8.159.254111.8.159.2558,190
70111.8.160.0/19111.8.160.1 to 111.8.191.254111.8.191.2558,190
71111.8.192.0/19111.8.192.1 to 111.8.223.254111.8.223.2558,190
72111.8.224.0/19111.8.224.1 to 111.8.255.254111.8.255.2558,190
73111.9.0.0/19111.9.0.1 to 111.9.31.254111.9.31.2558,190
74111.9.32.0/19111.9.32.1 to 111.9.63.254111.9.63.2558,190
75111.9.64.0/19111.9.64.1 to 111.9.95.254111.9.95.2558,190
76111.9.96.0/19111.9.96.1 to 111.9.127.254111.9.127.2558,190
77111.9.128.0/19111.9.128.1 to 111.9.159.254111.9.159.2558,190
78111.9.160.0/19111.9.160.1 to 111.9.191.254111.9.191.2558,190
79111.9.192.0/19111.9.192.1 to 111.9.223.254111.9.223.2558,190
80111.9.224.0/19111.9.224.1 to 111.9.255.254111.9.255.2558,190
81111.10.0.0/19111.10.0.1 to 111.10.31.254111.10.31.2558,190
82111.10.32.0/19111.10.32.1 to 111.10.63.254111.10.63.2558,190
83111.10.64.0/19111.10.64.1 to 111.10.95.254111.10.95.2558,190
84111.10.96.0/19111.10.96.1 to 111.10.127.254111.10.127.2558,190
85111.10.128.0/19111.10.128.1 to 111.10.159.254111.10.159.2558,190
86111.10.160.0/19111.10.160.1 to 111.10.191.254111.10.191.2558,190
87111.10.192.0/19111.10.192.1 to 111.10.223.254111.10.223.2558,190
88111.10.224.0/19111.10.224.1 to 111.10.255.254111.10.255.2558,190
89111.11.0.0/19111.11.0.1 to 111.11.31.254111.11.31.2558,190
90111.11.32.0/19111.11.32.1 to 111.11.63.254111.11.63.2558,190
91111.11.64.0/19111.11.64.1 to 111.11.95.254111.11.95.2558,190
92111.11.96.0/19111.11.96.1 to 111.11.127.254111.11.127.2558,190
93111.11.128.0/19111.11.128.1 to 111.11.159.254111.11.159.2558,190
94111.11.160.0/19111.11.160.1 to 111.11.191.254111.11.191.2558,190
95111.11.192.0/19111.11.192.1 to 111.11.223.254111.11.223.2558,190
96111.11.224.0/19111.11.224.1 to 111.11.255.254111.11.255.2558,190
97111.12.0.0/19111.12.0.1 to 111.12.31.254111.12.31.2558,190
98111.12.32.0/19111.12.32.1 to 111.12.63.254111.12.63.2558,190
99111.12.64.0/19111.12.64.1 to 111.12.95.254111.12.95.2558,190
100111.12.96.0/19111.12.96.1 to 111.12.127.254111.12.127.2558,190
101111.12.128.0/19111.12.128.1 to 111.12.159.254111.12.159.2558,190
102111.12.160.0/19111.12.160.1 to 111.12.191.254111.12.191.2558,190
103111.12.192.0/19111.12.192.1 to 111.12.223.254111.12.223.2558,190
104111.12.224.0/19111.12.224.1 to 111.12.255.254111.12.255.2558,190
105111.13.0.0/19111.13.0.1 to 111.13.31.254111.13.31.2558,190
106111.13.32.0/19111.13.32.1 to 111.13.63.254111.13.63.2558,190
107111.13.64.0/19111.13.64.1 to 111.13.95.254111.13.95.2558,190
108111.13.96.0/19111.13.96.1 to 111.13.127.254111.13.127.2558,190
109111.13.128.0/19111.13.128.1 to 111.13.159.254111.13.159.2558,190
110111.13.160.0/19111.13.160.1 to 111.13.191.254111.13.191.2558,190
111111.13.192.0/19111.13.192.1 to 111.13.223.254111.13.223.2558,190
112111.13.224.0/19111.13.224.1 to 111.13.255.254111.13.255.2558,190
113111.14.0.0/19111.14.0.1 to 111.14.31.254111.14.31.2558,190
114111.14.32.0/19111.14.32.1 to 111.14.63.254111.14.63.2558,190
115111.14.64.0/19111.14.64.1 to 111.14.95.254111.14.95.2558,190
116111.14.96.0/19111.14.96.1 to 111.14.127.254111.14.127.2558,190
117111.14.128.0/19111.14.128.1 to 111.14.159.254111.14.159.2558,190
118111.14.160.0/19111.14.160.1 to 111.14.191.254111.14.191.2558,190
119111.14.192.0/19111.14.192.1 to 111.14.223.254111.14.223.2558,190
120111.14.224.0/19111.14.224.1 to 111.14.255.254111.14.255.2558,190
121111.15.0.0/19111.15.0.1 to 111.15.31.254111.15.31.2558,190
122111.15.32.0/19111.15.32.1 to 111.15.63.254111.15.63.2558,190
123111.15.64.0/19111.15.64.1 to 111.15.95.254111.15.95.2558,190
124111.15.96.0/19111.15.96.1 to 111.15.127.254111.15.127.2558,190
125111.15.128.0/19111.15.128.1 to 111.15.159.254111.15.159.2558,190
126111.15.160.0/19111.15.160.1 to 111.15.191.254111.15.191.2558,190
127111.15.192.0/19111.15.192.1 to 111.15.223.254111.15.223.2558,190
128111.15.224.0/19111.15.224.1 to 111.15.255.254111.15.255.2558,190
129111.16.0.0/19111.16.0.1 to 111.16.31.254111.16.31.2558,190
130111.16.32.0/19111.16.32.1 to 111.16.63.254111.16.63.2558,190
131111.16.64.0/19111.16.64.1 to 111.16.95.254111.16.95.2558,190
132111.16.96.0/19111.16.96.1 to 111.16.127.254111.16.127.2558,190
133111.16.128.0/19111.16.128.1 to 111.16.159.254111.16.159.2558,190
134111.16.160.0/19111.16.160.1 to 111.16.191.254111.16.191.2558,190
135111.16.192.0/19111.16.192.1 to 111.16.223.254111.16.223.2558,190
136111.16.224.0/19111.16.224.1 to 111.16.255.254111.16.255.2558,190
137111.17.0.0/19111.17.0.1 to 111.17.31.254111.17.31.2558,190
138111.17.32.0/19111.17.32.1 to 111.17.63.254111.17.63.2558,190
139111.17.64.0/19111.17.64.1 to 111.17.95.254111.17.95.2558,190
140111.17.96.0/19111.17.96.1 to 111.17.127.254111.17.127.2558,190
141111.17.128.0/19111.17.128.1 to 111.17.159.254111.17.159.2558,190
142111.17.160.0/19111.17.160.1 to 111.17.191.254111.17.191.2558,190
143111.17.192.0/19111.17.192.1 to 111.17.223.254111.17.223.2558,190
144111.17.224.0/19111.17.224.1 to 111.17.255.254111.17.255.2558,190
145111.18.0.0/19111.18.0.1 to 111.18.31.254111.18.31.2558,190
146111.18.32.0/19111.18.32.1 to 111.18.63.254111.18.63.2558,190
147111.18.64.0/19111.18.64.1 to 111.18.95.254111.18.95.2558,190
148111.18.96.0/19111.18.96.1 to 111.18.127.254111.18.127.2558,190
149111.18.128.0/19111.18.128.1 to 111.18.159.254111.18.159.2558,190
150111.18.160.0/19111.18.160.1 to 111.18.191.254111.18.191.2558,190
151111.18.192.0/19111.18.192.1 to 111.18.223.254111.18.223.2558,190
152111.18.224.0/19111.18.224.1 to 111.18.255.254111.18.255.2558,190
153111.19.0.0/19111.19.0.1 to 111.19.31.254111.19.31.2558,190
154111.19.32.0/19111.19.32.1 to 111.19.63.254111.19.63.2558,190
155111.19.64.0/19111.19.64.1 to 111.19.95.254111.19.95.2558,190
156111.19.96.0/19111.19.96.1 to 111.19.127.254111.19.127.2558,190
157111.19.128.0/19111.19.128.1 to 111.19.159.254111.19.159.2558,190
158111.19.160.0/19111.19.160.1 to 111.19.191.254111.19.191.2558,190
159111.19.192.0/19111.19.192.1 to 111.19.223.254111.19.223.2558,190
160111.19.224.0/19111.19.224.1 to 111.19.255.254111.19.255.2558,190
161111.20.0.0/19111.20.0.1 to 111.20.31.254111.20.31.2558,190
162111.20.32.0/19111.20.32.1 to 111.20.63.254111.20.63.2558,190
163111.20.64.0/19111.20.64.1 to 111.20.95.254111.20.95.2558,190
164111.20.96.0/19111.20.96.1 to 111.20.127.254111.20.127.2558,190
165111.20.128.0/19111.20.128.1 to 111.20.159.254111.20.159.2558,190
166111.20.160.0/19111.20.160.1 to 111.20.191.254111.20.191.2558,190
167111.20.192.0/19111.20.192.1 to 111.20.223.254111.20.223.2558,190
168111.20.224.0/19111.20.224.1 to 111.20.255.254111.20.255.2558,190
169111.21.0.0/19111.21.0.1 to 111.21.31.254111.21.31.2558,190
170111.21.32.0/19111.21.32.1 to 111.21.63.254111.21.63.2558,190
171111.21.64.0/19111.21.64.1 to 111.21.95.254111.21.95.2558,190
172111.21.96.0/19111.21.96.1 to 111.21.127.254111.21.127.2558,190
173111.21.128.0/19111.21.128.1 to 111.21.159.254111.21.159.2558,190
174111.21.160.0/19111.21.160.1 to 111.21.191.254111.21.191.2558,190
175111.21.192.0/19111.21.192.1 to 111.21.223.254111.21.223.2558,190
176111.21.224.0/19111.21.224.1 to 111.21.255.254111.21.255.2558,190
177111.22.0.0/19111.22.0.1 to 111.22.31.254111.22.31.2558,190
178111.22.32.0/19111.22.32.1 to 111.22.63.254111.22.63.2558,190
179111.22.64.0/19111.22.64.1 to 111.22.95.254111.22.95.2558,190
180111.22.96.0/19111.22.96.1 to 111.22.127.254111.22.127.2558,190
181111.22.128.0/19111.22.128.1 to 111.22.159.254111.22.159.2558,190
182111.22.160.0/19111.22.160.1 to 111.22.191.254111.22.191.2558,190
183111.22.192.0/19111.22.192.1 to 111.22.223.254111.22.223.2558,190
184111.22.224.0/19111.22.224.1 to 111.22.255.254111.22.255.2558,190
185111.23.0.0/19111.23.0.1 to 111.23.31.254111.23.31.2558,190
186111.23.32.0/19111.23.32.1 to 111.23.63.254111.23.63.2558,190
187111.23.64.0/19111.23.64.1 to 111.23.95.254111.23.95.2558,190
188111.23.96.0/19111.23.96.1 to 111.23.127.254111.23.127.2558,190
189111.23.128.0/19111.23.128.1 to 111.23.159.254111.23.159.2558,190
190111.23.160.0/19111.23.160.1 to 111.23.191.254111.23.191.2558,190
191111.23.192.0/19111.23.192.1 to 111.23.223.254111.23.223.2558,190
192111.23.224.0/19111.23.224.1 to 111.23.255.254111.23.255.2558,190
193111.24.0.0/19111.24.0.1 to 111.24.31.254111.24.31.2558,190
194111.24.32.0/19111.24.32.1 to 111.24.63.254111.24.63.2558,190
195111.24.64.0/19111.24.64.1 to 111.24.95.254111.24.95.2558,190
196111.24.96.0/19111.24.96.1 to 111.24.127.254111.24.127.2558,190
197111.24.128.0/19111.24.128.1 to 111.24.159.254111.24.159.2558,190
198111.24.160.0/19111.24.160.1 to 111.24.191.254111.24.191.2558,190
199111.24.192.0/19111.24.192.1 to 111.24.223.254111.24.223.2558,190
200111.24.224.0/19111.24.224.1 to 111.24.255.254111.24.255.2558,190
201111.25.0.0/19111.25.0.1 to 111.25.31.254111.25.31.2558,190
202111.25.32.0/19111.25.32.1 to 111.25.63.254111.25.63.2558,190
203111.25.64.0/19111.25.64.1 to 111.25.95.254111.25.95.2558,190
204111.25.96.0/19111.25.96.1 to 111.25.127.254111.25.127.2558,190
205111.25.128.0/19111.25.128.1 to 111.25.159.254111.25.159.2558,190
206111.25.160.0/19111.25.160.1 to 111.25.191.254111.25.191.2558,190
207111.25.192.0/19111.25.192.1 to 111.25.223.254111.25.223.2558,190
208111.25.224.0/19111.25.224.1 to 111.25.255.254111.25.255.2558,190
209111.26.0.0/19111.26.0.1 to 111.26.31.254111.26.31.2558,190
210111.26.32.0/19111.26.32.1 to 111.26.63.254111.26.63.2558,190
211111.26.64.0/19111.26.64.1 to 111.26.95.254111.26.95.2558,190
212111.26.96.0/19111.26.96.1 to 111.26.127.254111.26.127.2558,190
213111.26.128.0/19111.26.128.1 to 111.26.159.254111.26.159.2558,190
214111.26.160.0/19111.26.160.1 to 111.26.191.254111.26.191.2558,190
215111.26.192.0/19111.26.192.1 to 111.26.223.254111.26.223.2558,190
216111.26.224.0/19111.26.224.1 to 111.26.255.254111.26.255.2558,190
217111.27.0.0/19111.27.0.1 to 111.27.31.254111.27.31.2558,190
218111.27.32.0/19111.27.32.1 to 111.27.63.254111.27.63.2558,190
219111.27.64.0/19111.27.64.1 to 111.27.95.254111.27.95.2558,190
220111.27.96.0/19111.27.96.1 to 111.27.127.254111.27.127.2558,190
221111.27.128.0/19111.27.128.1 to 111.27.159.254111.27.159.2558,190
222111.27.160.0/19111.27.160.1 to 111.27.191.254111.27.191.2558,190
223111.27.192.0/19111.27.192.1 to 111.27.223.254111.27.223.2558,190
224111.27.224.0/19111.27.224.1 to 111.27.255.254111.27.255.2558,190
225111.28.0.0/19111.28.0.1 to 111.28.31.254111.28.31.2558,190
226111.28.32.0/19111.28.32.1 to 111.28.63.254111.28.63.2558,190
227111.28.64.0/19111.28.64.1 to 111.28.95.254111.28.95.2558,190
228111.28.96.0/19111.28.96.1 to 111.28.127.254111.28.127.2558,190
229111.28.128.0/19111.28.128.1 to 111.28.159.254111.28.159.2558,190
230111.28.160.0/19111.28.160.1 to 111.28.191.254111.28.191.2558,190
231111.28.192.0/19111.28.192.1 to 111.28.223.254111.28.223.2558,190
232111.28.224.0/19111.28.224.1 to 111.28.255.254111.28.255.2558,190
233111.29.0.0/19111.29.0.1 to 111.29.31.254111.29.31.2558,190
234111.29.32.0/19111.29.32.1 to 111.29.63.254111.29.63.2558,190
235111.29.64.0/19111.29.64.1 to 111.29.95.254111.29.95.2558,190
236111.29.96.0/19111.29.96.1 to 111.29.127.254111.29.127.2558,190
237111.29.128.0/19111.29.128.1 to 111.29.159.254111.29.159.2558,190
238111.29.160.0/19111.29.160.1 to 111.29.191.254111.29.191.2558,190
239111.29.192.0/19111.29.192.1 to 111.29.223.254111.29.223.2558,190
240111.29.224.0/19111.29.224.1 to 111.29.255.254111.29.255.2558,190
241111.30.0.0/19111.30.0.1 to 111.30.31.254111.30.31.2558,190
242111.30.32.0/19111.30.32.1 to 111.30.63.254111.30.63.2558,190
243111.30.64.0/19111.30.64.1 to 111.30.95.254111.30.95.2558,190
244111.30.96.0/19111.30.96.1 to 111.30.127.254111.30.127.2558,190
245111.30.128.0/19111.30.128.1 to 111.30.159.254111.30.159.2558,190
246111.30.160.0/19111.30.160.1 to 111.30.191.254111.30.191.2558,190
247111.30.192.0/19111.30.192.1 to 111.30.223.254111.30.223.2558,190
248111.30.224.0/19111.30.224.1 to 111.30.255.254111.30.255.2558,190
249111.31.0.0/19111.31.0.1 to 111.31.31.254111.31.31.2558,190
250111.31.32.0/19111.31.32.1 to 111.31.63.254111.31.63.2558,190
251111.31.64.0/19111.31.64.1 to 111.31.95.254111.31.95.2558,190
252111.31.96.0/19111.31.96.1 to 111.31.127.254111.31.127.2558,190
253111.31.128.0/19111.31.128.1 to 111.31.159.254111.31.159.2558,190
254111.31.160.0/19111.31.160.1 to 111.31.191.254111.31.191.2558,190
255111.31.192.0/19111.31.192.1 to 111.31.223.254111.31.223.2558,190
256111.31.224.0/19111.31.224.1 to 111.31.255.254111.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses